<template>
	<div id="app">
		<h1>{{ message }}</h1>

		<FormEventsExample :message.sync="message" @show:alert="showAlert"></FormEventsExample>

		<!-- modifier '.sync' is a shortcut for: -->
		<!-- <HelloWorld v-bind:message="message" v-on:update:message="message = $event"></HelloWorld> -->
	</div>
</template>

<script>
	import FormEventsExample from './components/FormEventsExample.vue'

	export default {
		name: "app",
		components: {
			FormEventsExample
		},
		data: function () {
			return {
				message: String
			}
		},
		created: function () {
			this.message = "Some generic message defined in parent component."
		},
		methods: {
			showAlert: function () {
				alert("Alert triggered in child component");
			}
		}
	}
</script>

<style>
	#app {
		font-family: 'Avenir', Helvetica, Arial, sans-serif;
		-webkit-font-smoothing: antialiased;
		-moz-osx-font-smoothing: grayscale;
		text-align: center;
		color: #2c3e50;
		margin-top: 60px;
	}
</style>
